DHParameterSpec (GNU cryptographic primitives and tools)
Keywords: javax.crypto.spec.DHParameterSpec,DHParameterSpec class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto.spec
Class DHParameterSpec

    java.lang.Object
      |
      +--javax.crypto.spec.DHParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

public class DHParameterSpec
extends java.lang.Object
implements java.security.spec.AlgorithmParameterSpec

This class specifies the set of parameters used with the Diffie-Hellman algorithm, as specified in PKCS #3: Diffie-Hellman Key-Agreement Standard.

A central authority generates parameters and gives them to the two entities seeking to generate a secret key. The parameters are a prime `p`, a base `g`, and optionally the length in bits of the private value, `l`.

It is possible that more than one instance of parameters may be generated by a given central authority, and that there may be more than one central authority. Indeed, each individual may be its own central authority, with different entities having different parameters.

See Also:
  `KeyAgreement`

Constructor Summary
`DHParameterSpec(java.math.BigInteger p, java.math.BigInteger g)` Constructs a parameter set for Diffie-Hellman, using a prime modulus `p` and a base generator `g`.
`DHParameterSpec(java.math.BigInteger p, java.math.BigInteger g, int l)` Constructs a parameter set for Diffie-Hellman, using a prime modulus `p`, a base generator `g`, and the size in bits, `l`, of the random exponent (private value).

Method Summary
`java.math.BigInteger` | `getG()` Returns the base generator `g`.
`int` | `getL()` Returns the size in bits, `l`, of the random exponent (private value).
`java.math.BigInteger` | `getP()` Returns the prime modulus `p`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHParameterSpec

    public DHParameterSpec(java.math.BigInteger p,
                           java.math.BigInteger g)

  Constructs a parameter set for Diffie-Hellman, using a prime modulus `p` and a base generator `g`.

Parameters:
  `p` - the prime modulus
  `g` - the base generator

### DHParameterSpec

    public DHParameterSpec(java.math.BigInteger p,
                           java.math.BigInteger g,
                           int l)

  Constructs a parameter set for Diffie-Hellman, using a prime modulus `p`, a base generator `g`, and the size in bits, `l`, of the random exponent (private value).

Parameters:
  `p` - the prime modulus
  `g` - the base generator
  `l` - the size in bits of the random exponent (private value)

Method Detail

### getP

    public java.math.BigInteger getP()

  Returns the prime modulus `p`.

  Returns:
    the prime modulus `p`

### getG

    public java.math.BigInteger getG()

  Returns the base generator `g`.

  Returns:
    the base generator `g`

### getL

    public int getL()

  Returns the size in bits, `l`, of the random exponent (private value).

  Returns:
    the size in bits, `l`, of the random exponent (private value), or 0 if this size has not been set

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.